Name:           perl-ZMQ-LibZMQ2
Version:        1.09
Release:        5%{?dist}
Summary:        Perl wrapper for the libzmq 2.x library

License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ZMQ-LibZMQ2/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DM/DMAKI/ZMQ-LibZMQ2-%{version}.tar.gz

BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Devel::PPPort) >= 3.19
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::SharedFork)
BuildRequires:  perl(Test::TCP) >= 1.08
BuildRequires:  perl(ZMQ::Constants) >= 1.00
BuildRequires:  zeromq2-devel

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
The ZMQ::LibZMQ2 module is a wrapper of the 0MQ message passing library for
Perl. It's a thin wrapper around the C API. Please read http://zeromq.org
for more details on 0MQ.


%prep
%setup -q -n ZMQ-LibZMQ2-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test


%files
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/ZMQ*
%{_mandir}/man3/*.3*


%changelog
* Mon Nov 17 2014 Thomas Spura <tomspur@fedoraproject.org> - 1.09-5
- zeromq-2 moved to zeromq2

* Thu Oct 30 2014 Petr Pisar <ppisar@redhat.com> - 1.09-4
- Build-require Devel::PPPort (bug #1158400)

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.09-3
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 14 2014 Jose Pedro Oliveira <jose.p.oliveira.oss at gmail.com> - 1.09-1
- Update to version 1.09

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.07-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 1.07-2
- Perl 5.18 rebuild

* Sun Mar  3 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.07-1
- Update to version 1.07

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 24 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-1
- Update to version 1.06

* Sat Jan 12 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.05-1
- Update to version 1.05

* Fri Jan  4 2013 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.04-1
- Update to version 1.04

* Thu Dec 27 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.03-2
- Handle review itens (#868529)

* Wed Oct 17 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.03-1
- First Fedora release.

# vim:set ai ts=4 sw=4 sts=4 et:
